
export default {
    props: {
        examples: Object,
    },
    data() {
        return {
            img_prefix: String
        }
    },
    methods: {
    },
    mounted () {
        this.img_prefix = window.STATIC_URL;
    },
    template: `
    <table id="semantics-examples" class="table table-sm table-hover" style="">
        <thead>
        <tr>
            <th scope="col">Przykład<i id="examples-argument"></i><i id="examples-lu"></i><i id="examples-schema"></i>
            </th>
            <th scope="col">Źródło</th>
            <th scope="col">Opinia</th>
        </tr>
        </thead>
        <tbody id="semantics-examples-list">
        
            <tr v-for="example in examples" class="example" data-example_id="345858">
                <td class="py-1">{{example.sentence}}
                        <span v-if="example.note" data-toggle="tooltip"
                          data-placement="bottom"
                          data-html="true" title=""
                          :data-original-title="'Komentarz: <i>'+ example.note +'</i>'"><img
                        :src="img_prefix + '/common/img/info.svg'" alt="info" width="14"
                        height="14"></span>
                </td>
                <td class="py-1">{{example.source}}</td>
                <td class="py-1">{{example.opinion}}</td>
            </tr>
        
        </tbody>
    </table>
    <p class="mx-1 my-1" id="semantics-no-examples" style="display: none;">Brak przykładów</p>
  `
}


