
export default {
    props: {
        frame: Object,
    },
    data() {
        return {
            img_prefix: String
        }
    },
    methods: {
        getTitleHTML() {
            const ret = window.lexical_units2dom(this.frame.lexical_units);
            return ret;
        },
        getOpinionHTML() {
            return window.make_opinion_row(this.frame, this.frame.arguments.length, 3).outerHTML;
        },
        getArguments() {
            return this.frame.arguments;
        }
    },
    mounted () {
        this.img_prefix = window.STATIC_URL;
    },
    template: `
        <div class="frame mb-3 active" data-frame_id="52">
            <div class="frame mt-3" id="lexical-unit" v-html="getTitleHTML()"></div>
            <table class="table m-0 table-borderless border border-secondary text-dark">
                <tbody>
                    <tr class="opinion-row" v-html="getOpinionHTML()">
                    </tr>
                    <tr>
                        <th scope="row" class="py-2 px-1 text-secondary">Rola</th>
                        <template v-for="argument in frame.arguments">
                            <td class="argument py-2 px-1 border-top border-left border-secondary" :class="argument.role" data-argument_id="52-129"
                                data-role="initiator">{{argument.str}}
                            </td>
                        </template>
                    </tr>
                    <tr>
                        <th scope="row" class="py-0 px-1 text-secondary">Preferencje selekcyjne</th>
                        <template v-for="argument in getArguments()">
                        
                        <td class="preferences py-0 px-0 border-top border-left border-secondary" data-argument_id="104513-142252" data-role="condition">
                       
                            <template v-if="argument.preferences.length > 0" v-for='preference in argument.preferences'>
                                <div
                                  v-if="preference.url != null"
                                  class="preference py-2 px-1 preference-bold"
                                >
                                  <a class="synset-plwn" v-bind:href="preference.url" target="_blank">{{ preference.str }}</a>
                                </div>
                                <div v-else class="preference py-2 px-1 preference-bold">{{ preference.str }}</div>
                                <span v-if="preference.info" data-toggle="tooltip"
                                  data-placement="bottom"
                                  data-html="true" 
                                  :title="'definicja: <i>'+ preference.info +'</i>'"><img
                                :src="img_prefix + '/common/img/info.svg'" alt="info" width="14"
                                height="14"></span>
                            </template>
                            </td>
                        </template>
                    </tr>
                </tbody>
            </table>
        </div>
  `
}


